/**********************************************************************
*
*			1987 - Jim Schimpf
*
*	Version   Date		Who		What
*----------------------------------------------------------------------
*	0.1	13-May-88	J.Schimpf	Initial Version
*	0.4	 8-Dec-88	J.Schimpf	Make into dumb term sim
*	0.5	 1-Feb-91	J.Schimpf	Add no echo option
*	0.6	29-May-91	J.Schimpf	Use new serial I/O
*
*	Description:
*		This is the include file for the MTERM program
*
*--------------------------------------------------------------------*/

#ifndef MTERM_DATA
#define MTERM_DATA	1

#include <ctype.h>
#include <stdio.h>
#include <bios.h>

/*  CONSTANTS */

#define VERSION "2.6 28-May-91"

#define PORT_FLAG	"-p"
#define SPEED_FLAG	"-s"
#define BIT_FLAG	"-b"
#define PARITY_FLAG	"-pa"
#define LFCR_FLAG	"-lf"
#define NOECHO_FLAG	"-ne"
#define DEF_SPEED	9600
#define DEF_BIT		8
#define DEF_PARITY	'N'
#define COM1	0
#define COM2	1

#define MAX_REPLY	128		/* Max length of return string */

#define ABORT_CH	'`'		/* Special control character */

/*  PROGRAM DATA STRUCTURES */

extern FILE *out_file;
extern FILE *log_file;

/*  Routine DEFS */

/*  GLOBALLY USEFUL VALUES */

/*  Forward function defs */

void print_center();
void error_exit();

#endif

